local addon = select(2, ...)

local TomCatsAddOns = {
    "TomCats",
    "TomCats-ArathiHighlandsRares",
    "TomCats-Complete",
    "TomCats-Coordinates",
    "TomCats-DarkshoreRares",
    "TomCats-HallowsEnd",
    "TomCats-Hivemind",
    "TomCats-LunarFestival",
    "TomCats-LoveIsInTheAir",
    "TomCats-WarfrontsCommandCenter"
}

if (TomCats and TomCats.Register) then
    TomCats:Register(
        {
            name = "Complete",
            version = "1.0.1"
        }
    )
    TomCats.installed = {}
    local missing = false
    for i = 1, #TomCatsAddOns do
        local name, title, notes, enabled, loadable, reason, security = GetAddOnInfo(TomCatsAddOns[i])
        if (loadable == "MISSING") then
            if (not missing) then
                missing = true
                --print("One or more TomCat's Tours addons are missing from your installation:")
            end
            --print("- " .. name)
        end
    end
    if (missing) then
        --print("Please check your settings on Twitch for TomCat's Tours: Complete")
    end
end
